from datetime import datetime


def from_str_to_time(t: str):
    if not t:
        return None
    return datetime.strptime(t, "%Y-%m-%d")


def dec_success_resp(data):
    return {
        "resultCode": 200,
        "message": "success",
        "data": data
    }


def dec_error_resp(msg):
    return {
        "resultCode": 500,
        "message": msg,
        "data": None
    }


